oracle.pgx.config

## Class AbstractTwoTablesConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphConfig
    - - oracle.pgx.config.AbstractTwoTablesConfig

- Direct Known Subclasses:
    TwoTablesGraphConfig

      public abstract class AbstractTwoTablesConfig
      extends GraphConfig

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JDBC_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTwoTablesConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getEdgesKeyColumn()`
    `abstract String` | `getEdgesTableName()`
    `abstract String` | `getFromNidColumn()`
    `abstract String` | `getJdbcUrl()`
    `String` | `getName()` Get the graph name of this graph configuration.
    `abstract String` | `getNodesKeyColumn()`
    `abstract String` | `getNodesTableName()`
    `abstract String` | `getPassword()`
    `abstract String` | `getToNidColumn()`
    `abstract String` | `getUsername()`

    - ### Methods inherited from class oracle.pgx.config.GraphConfig

      `equals, getEdgePropertyDefault, getEdgePropertyName, getEdgePropertyType, getEdgeProps, getErrorHandling, getFormat, getLoading, getNodeKeyType, getNodePropertyDefault, getNodePropertyName, getNodePropertyType, getVertexIdType, getVertexProps, hashCode, isFileFormat, isFileFormat, numEdgeProperties, numNodeProperties`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JDBC_PREFIX

          public static final String JDBC_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractTwoTablesConfig

          public AbstractTwoTablesConfig()

  - ### Method Detail

    - #### getEdgesKeyColumn

          public abstract String getEdgesKeyColumn()

    - #### getEdgesTableName

          public abstract String getEdgesTableName()

    - #### getFromNidColumn

          public abstract String getFromNidColumn()

    - #### getJdbcUrl

          public abstract String getJdbcUrl()

    - #### getName

          public String getName()

      Description copied from class: `GraphConfig`
      Get the graph name of this graph configuration. Note: for file-based graph configurations, this is the file name of the URI this configuration points to.
      Specified by:
        `getName` in class `GraphConfig`
      Returns:
        the graph name

    - #### getNodesKeyColumn

          public abstract String getNodesKeyColumn()

    - #### getNodesTableName

          public abstract String getNodesTableName()

    - #### getPassword

          public abstract String getPassword()

    - #### getToNidColumn

          public abstract String getToNidColumn()

    - #### getUsername

          public abstract String getUsername()

Copyright © 2015. All rights reserved.